Bug 137740 - Nvidia ethernet requires quirk to fix invalid PCI class
Nvidia ethernet requires quirk to fix invalid PCI class
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-31 14:42 EST by Matt Watts
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -v command output from a running FC2, kernel 2.6.9 system (MSI K8N Neo-FSR) (4.32 KB, text/plain)
2004-11-01 12:33 EST, Matt Watts
no flags Details
/etc/sysconfig/hwconf (5.64 KB, text/plain)
2004-11-01 22:50 EST, Matt Watts
no flags Details

  None (edit)
Description Matt Watts 2004-10-31 14:42:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)

Description of problem:
When using the x86_64 FC3 RC1 diskboot.img installer on an nForce3
chipset motherboard, anaconda fails to list the forcedeth network
module for manual selection.  The install image contains forcedeth.ko
in modules.cgz and a forcedeth entry is present in the loader

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Boot from USB pen drive using FC3 RC1 diskboot.img
2.  Select a network install method.
3.  When asked to select driver, browse the list of 59 entries.

Actual Results:  Forcedeth entry does not exist, network install using
onboard Ethernet not possible.

Expected Results:  A Forcedeth entry should have been listed and when
selected, network install should have proceeded normally.

Additional info:

I have not tried this using the FC3 RC1 i386 tree, only x86_64.
Comment 1 Jeremy Katz 2004-11-01 10:02:23 EST
that means the module already got loaded but no network devices are found.

Can you provide lspci -v of your system?
Comment 2 Matt Watts 2004-11-01 12:33:58 EST
Created attachment 106021 [details]
lspci -v command output from a running FC2, kernel 2.6.9 system (MSI K8N Neo-FSR)

Requested information for [Bug 137740]
Comment 3 Matt Watts 2004-11-01 13:14:18 EST
Forcedeth does load on a running 2.6.9 kernel and is able to connect 
to the network with this motherboard.  I guess I don't understand why 
forcedeth would load in the boot image, but be unable to find any 
network device.  I would have thought that the module would exit and 
unload if it did not detect supported hardware.
Comment 4 Matt Watts 2004-11-01 22:50:36 EST
Created attachment 106058 [details]

Some more system info.	7th entry most relevant.
Comment 6 Alan Cox 2004-11-09 08:23:38 EST
The installer (like the PCI spec) believes that ethernet devices
should be network class devices not claim to be bridges.
Comment 7 Matt Watts 2004-11-10 13:14:04 EST
Makes sense, so where does the change from bridge to network class
need to be made?  Is this a BIOS/firmware issue with MSI or a table
update in the PCI spec?  Where should the bits be flipped?
Comment 8 Alan Cox 2004-11-10 14:01:05 EST
I can't comment on what facilities Nviidia may have for BIOS/firmware
fixing this.

Either way Linux can potentially lie to userspace (and does for a
couple of other stupidities), so it would want dropping as a header
fixup in the PCI quirks
Comment 9 Dave Jones 2005-07-15 15:35:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 Dave Jones 2005-10-02 20:15:33 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.